Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454831 - LTC:4.8:201706:Fix numLock on some IBM keybaords
Summary: LTC:4.8:201706:Fix numLock on some IBM keybaords
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11
Version: 4.8
Hardware: x86_64
OS: All
medium
high
Target Milestone: beta
: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 04:21 UTC by IBM Bug Proxy
Modified: 2011-02-22 09:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:27:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 46248 None None None Never
Red Hat Product Errata RHBA-2009:0998 normal SHIPPED_LIVE xorg-x11 bug fix and enhancement update 2009-05-18 18:39:40 UTC

Description IBM Bug Proxy 2008-07-10 04:21:07 UTC
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-07-09 17:31 EDT
1. Feature Id:	[201706]
Feature Name:	Fix numLock on some IBM keyboards
Sponsor:	xSeries
Category:	xSeries
Request Type:	Driver - Feature from Upstream

2. Short Description
This feature is specifically to address a numlock issue on IBM keyboards as addressed in RHIT 174392.

3. Business Case
IBM spacesaver keyboards numlock key will not function


4. Sponsor Priority	2
IBM Confidential:	no
Code Contribution:	no
Upstream Acceptance:	Accepted
Component Version Target:	
Performance Assistance:	

5. PM Contact:	Monte Knutson, mknutson@us.ibm.com, 877-894-1495

6. Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

7. LTC Manager: Julio Alvarez, julioa@us.ibm.com

Comment 1 John Jarvis 2008-07-10 20:10:07 UTC
Please check the Issue Tracker number, the one above is not correct.  Why is
this needed as a feature request rather than an existing bug fix request?

Comment 2 John Jarvis 2008-07-15 19:27:09 UTC
Never mind, I searched down the correct IT myself:  174932

Comment 3 John Jarvis 2008-07-15 19:46:04 UTC
This is not a feature request, this is a bug so I'm putting it on the GSS list.

Comment 4 Adam Jackson 2008-10-01 15:04:35 UTC
Patch in hand, devel ack.

Comment 5 RHEL Product and Program Management 2008-10-01 15:15:33 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Kevin E. Martin 2009-01-22 21:50:47 UTC
For us to be able to test our patch, we will need to have one of these keyboards in Westford.  If you have one available for testing/verification, please let us know.

Comment 9 Lawrence Lim 2009-01-23 01:35:46 UTC
Sorry. Ack'ed too early. We may have one in the lab. Dave Airlie will try to reproduce today.

Comment 10 Lawrence Lim 2009-01-23 05:21:32 UTC
Dave Airlie has reproduced it. Hence, adding QA ack.

Comment 11 Dave Airlie 2009-01-23 06:04:54 UTC
MODIFIED

xorg-x11-6.8.2-1.EL.57

you need to specify XkbModel "ibm-spacesaver" in xorg.conf to select the new keyboard layout.

Comment 13 Jesse Larrew 2009-01-23 21:09:27 UTC
Hi Adam!

Are we on track to get this into 4.8? What do you need to get this to "Verified"? If you need more testing support, just let me know. Thanks!

Jesse

Comment 14 Adam Jackson 2009-02-12 21:36:34 UTC
I'm really not the guy to ask.  If qa was okay with having you test...

Comment 15 Lawrence Lim 2009-02-13 05:41:29 UTC
Someone from my Team will update the bug shortly.

Comment 16 koka xiong 2009-02-16 12:39:38 UTC
Having tested on ppc, 
now the numlock key can light on or off.
But when the numlock key is on,press number keys 1 2 3 4 5 6 7 8 9,there is no output on the shell.
Press Ctrl+C can't cancel the input.

Comment 17 koka xiong 2009-02-17 10:07:05 UTC
Please ignore my comment #16,
I have reinstalled the system and number lock key work well on ppc.
Also test on i386, x86_64, the number lock key  work well.
Errata test passed
Change status to Verified.

Comment 19 errata-xmlrpc 2009-05-18 20:27:05 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0998.html

Comment 20 IBM Bug Proxy 2011-02-22 09:52:46 UTC
------- Comment From prem.karat@linux.vnet.ibm.com 2011-02-22 04:49 EDT-------
(In reply to comment #20)
> An advisory has been issued which should help the problem
> described in this bug report. This report is therefore being
> closed with a resolution of ERRATA. For more information
> on therefore solution and/or where to find the updated files,
> please follow the link below. You may reopen this bug report
> if the solution does not work for you.
>
> http://rhn.redhat.com/errata/RHBA-2009-0998.html

***Reviewed as a part of clean up activity********

Closing this one out as per the last comment

Cheers,
Prem


Note You need to log in before you can comment on or make changes to this bug.